--================================
-- scriptController_part2.ms
--
-- by: Autodesk Scripting and SDK Learning Channel
-- [ youtube.com/user/scriptingsdkhowtos]
-- [ scriptingandsdkhowto@autodesk.com | scriptingandsdkhowto@gmail.com ]
--
-- The following script creates three cubes in the scene. It assigns
-- a script controller to the z-position track of the top (green) cube,
-- keeping it above the cubes below it.
--
--================================
(
	delete objects
	
	-- purple box
	b1 = box height:10 length:10 width:10 pos:[0, -5, 0]
	b1.wirecolor = color 145 28 177
	
	-- yellow box
	b2 = box height:10 length:10 width:10 pos:[0, 5, 0]
	b2.wirecolor = color 225 198 87
	
	-- green box
	b3 = box height:10 length:10 width:10 pos:[0,0,10]
	b3.wirecolor = color 6 135 6
	
	fs = float_script()
	b3.position.controller.z_position.controller = fs
	
	/*
	b1.height.controller = bezier_float()
	b2.height.controller = bezier_float()
	
	fs.addObject "purpleBox" b1.height.controller
	fs.addObject "yellowBox" b2.height.controller
	fs.script = "amax #( purpleBox.value, yellowBox.value )"
	*/
	
	fs.addTarget "purpleBox" b1[#Object__Box][#height]
	fs.addTarget "yellowBox" b2[#Object__Box][#height]
	fs.script = "amax #( purpleBox, yellowBox )"
	
	/*
	fs.addNode "purpleBox" b1
	fs.addNode "yellowBox" b2
	fs.script = "amax #( purpleBox.height, yellowBox.height )"
	
	fs.addConstant "purpleBox" b1.height
	fs.addConstant "yellowBox" b2.height
	fs.script = "amax #( purpleBox, yellowBox )"
	*/
)